%define		tarball		xf86-video-sisusb
%define		moduledir	%(pkg-config xorg-server --variable=moduledir )
%define		driverdir	%{moduledir}/drivers

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Xorg X11 sisusb video driver
Name:		xorg-x11-drv-sisusb
Version:	0.9.4
Release:	1
URL:		http://www.x.org
License:	MIT/X11
Group:		User Interface/X Hardware Support
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0:	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

ExclusiveArch:	%{ix86} x86_64 ia64

BuildRequires:	pkg-config
BuildRequires:	xorg-x11-server-sdk
BuildRequires:	libpciaccess-devel

Requires:	xorg-x11-server-Xorg

%description 
X.Org X11 sisusb video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/sisusb_drv.so
# NOTE: Uncomment when multimedia drivers are avail
#%dir %{moduledir}/multimedia
#%{moduledir}/multimedia/*.so
%dir %{_mandir}
#%dir %{_mandir}/man4x
%{_mandir}/man4/*.4*

%changelog
* Tue Aug 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.4-1
- Version Update
* Sat May 23 2009 Christian Wasem <wasem@ccux-linux.de> 0.9.1-1
- Version update - x.org 1.6.1.901
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.9.0-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.8.1-3
- rebuilt against X.org 7.3
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.8.1-2
- rebuilt against X.org 7.2
* Sun Sep 17 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.1-1
- Initial release
